# Generated by Django 3.1 on 2020-09-29 03:48

from django.db import migrations
import inventory.fields


def apply_update_value_sort_field(apps, schema_editor):
    PartProperty = apps.get_model('inventory', 'PartProperty')

    for part_property in PartProperty.objects.all():
        part_property.value_sort = part_property.value
        part_property.save()


def reverse_update_value_sort_field(apps, schema_editor):
    pass


class Migration(migrations.Migration):

    dependencies = [
        ('inventory', '0020_merge_20200916_1248'),
    ]

    operations = [
        migrations.AddField(
            model_name='partproperty',
            name='value_sort',
            field=inventory.fields.NaturalSortField('value', db_index=True, null=True, editable=False, max_length=512),
        ),
        migrations.RunPython(apply_update_value_sort_field, reverse_update_value_sort_field),
        migrations.AlterField(
            model_name='partproperty',
            name='value_sort',
            field=inventory.fields.NaturalSortField('value', db_index=True, null=False, editable=False, max_length=512),
        )
    ]
